@import url('https://fonts.googleapis.com/css2?family=Averia+Sans+Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&family=DynaPuff:wght@400..700&display=swap');

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --bg: rgb(242, 248, 255);
  --bg-main: rgb(255, 250, 247);
  --border: rgb(80, 80, 80);
  --accent: rgb(255, 168, 194);
  --accent2: rgb(168, 207, 255);
  --text: rgb(58, 46, 41);
}

body {
  background: var(--bg);
  color: var(--text);
  display: flex;
  justify-content: center;
  padding: 40px 16px 80px;
  overflow-x: hidden;
  height: 1350px;
}

.drawingbody {
  height: 1400px;
}

h1 {
  color: var(--accent);
  font-family: "DynaPuff";
  font-size: 3rem;
}

h2 {
  color: var(--accent);
  font-family: "DynaPuff";
  font-size: 2rem;
}

p {
  color: var(--text);
  font-family: "Averia Sans Libre";
  font-size: 1.5rem;
}

button {
  color: var(--text);
  font-family: "DynaPuff";
  font-size: 1.5rem;
  background-color: var(--bg);
  border: solid 1px;
  border-color: var(--border);
  padding: 0.2rem;
  width: 100%;
}

.accent {
  color: var(--accent);
  fill: var(--accent);
}

.accent2 {
  color: var(--accent2);
}

.page {
  position: relative;
  z-index: 1;
  width: 100%;
  max-width: 550px;
  width: 550px;
  height: 1175px;
  display: flex;
  flex-direction: column;
  gap: 14px;
  background: var(--bg-main);
  border: solid 1px;
  border-color: var(--border);
}

.page.drawingpage {
  height: 1250px;
}

.pagepadding {
  padding-left: 1%;
  padding-right: 1%;
}

.songcard {
  background-color: var(--bg);
  display: flex;
  flex-direction: row;
  border: solid 1px;
  border-color: var(--border);
  width: 100%;
}

.songtitle {
  font-size: 1.3rem;
  margin-left: 0.2rem;
  text-wrap-mode: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  width: 28rem;
}

.songartist {
  font-size: 1.2rem;
  opacity: 75%;
  margin-left: 0.2rem;
  text-wrap-mode: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  width: 28rem;
}

.songtime {
  font-size: 1.2rem;
  opacity: 50%;
  margin-left: 0.2rem;
}

.messageinput {
  background-color: var(--bg);
  border: solid 1px;
  border-color: var(--border);
  resize: none;
  color: var(--text);
  font-family: "Averia Sans Libre";
  font-size: 1.5rem;
  width: 100%;
}

.footer {
  display: flex;
  flex-direction: row;
  justify-content: center;
  position: absolute;
  width: 100%;
  bottom: 0;
  border-top: dotted;
  border-color: var(--border);
  padding: 0.5rem;
  gap: 4%;
}

#sittingsonas {
  right: 0;
  position: absolute;
  transform: translateY(90%);
}

#bottomtext {
  font-size: 1rem;
}

input[type=range] {
  width: 100%;
  -webkit-appearance: none;
  appearance: none;
  height: 16px;
  outline: none;
  border: none;
  cursor: pointer;
  background: var(--bg);
  border: solid 1px;
  border-color: var(--border);
  align-self: center;
}

input[type=range]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 20px;
  height: 20px;
  cursor: pointer;
  background: var(--accent);
}

input[type=range]::-moz-range-thumb {
  width: 20px;
  height: 20px;
  cursor: pointer;
  background: var(--accent);
}

#colorPickerWrapper {
  padding: 1%;
  width: 100%;
}

#saturationBrightnessPanel {
  width: 100%;
  height: 200px;
  position: relative;
  cursor: crosshair;
  margin-bottom: 1%;
  background: hsl(0, 100%, 50%);
}

#saturationOverlay {
  position: absolute;
  inset: 0;
  border-radius: inherit;
  background: linear-gradient(to right, #fff 0%, transparent 100%);
}

#brightnessOverlay {
  position: absolute;
  inset: 0;
  border-radius: inherit;
  background: linear-gradient(to bottom, transparent 0%, #000 100%);
}

#panelCursor {
  width: 14px;
  height: 14px;
  border: 2px solid #fff;
  position: absolute;
  transform: translate(-50%, -50%);
  pointer-events: none;
  box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.4);
  top: 10%;
  left: 90%;
}

#hueSlider {
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  height: 16px;
  outline: none;
  border: none;
  cursor: pointer;
  background: linear-gradient(to right,
      hsl(0, 100%, 50%), hsl(30, 100%, 50%), hsl(60, 100%, 50%), hsl(90, 100%, 50%),
      hsl(120, 100%, 50%), hsl(150, 100%, 50%), hsl(180, 100%, 50%), hsl(210, 100%, 50%),
      hsl(240, 100%, 50%), hsl(270, 100%, 50%), hsl(300, 100%, 50%), hsl(330, 100%, 50%),
      hsl(360, 100%, 50%));
  width: 100%;
}

#hueSlider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 20px;
  height: 20px;
  border: 2px solid #000000;
  cursor: pointer;
  background: none;
}

#hueSlider::-moz-range-thumb {
  width: 20px;
  height: 20px;
  border: 2px solid #000000;
  cursor: pointer;
  background: none;
}

@media screen and (max-width: 620px) {
  body {
    height: 900px;
  }

  h1 {
    font-size: 1.7rem;
  }

  h2 {
    font-size: 1.2rem;
  }

  p {
    font-size: 0.8rem;
  }

  button {
    font-size: 0.8rem;
  }

  .page {
    height: 720px;
    max-width: 375px;
    width: 375px;
  }

  .page.drawingpage {
    height: 820px;
  }

  .drawingbody {
    height: 1000px;
  }

  .songtitle {
    font-size: 0.8rem;
    width: 19rem;
  }

  .songartist {
    font-size: 0.7rem;
    width: 19rem;
  }

  .songtime {
    font-size: 0.7rem;
    width: 19rem;
  }

  .messageinput {
    font-size: 0.8rem;
  }

  #sittingsonas {
  transform: translateY(42%);
}

  #bottomtext {
    font-size: 0.6rem;
  }
}